// Mode: Mobile Phone
@mobile: ~"(max-width: 767px)";

form {
  max-width: 600px;
  margin: 80px auto;
  text-align: center;
  border-radius: 6px;
  background-color: #efefef;

  .header {
    border-radius: 6px 6px 0px 0px;
    background-color: #286782;
    color: white;

    h2 {
      text-align: center;
      padding: 23px 0;
      font-size: 1.4em;
    }
  }

  input,
  textarea {
    display: block;
    margin: 10px auto 0;
    padding: 15px 10px 10px;
    border: 1px solid #cecece;
    border-radius: 6px 6px 0 0;
    background-clip: padding-box;
    box-sizing: border-box;
    width: 80%;
    max-width: 600px;

    &.ng-invalid.ng-dirty {
      border-color: #d89c9c;
    }
  }

  input {
    &:first-of-type {
      margin-top: 35px;
    }
  }

  textarea {
    height: 100px;
  }

  button {
    display: inline-block;
    margin: 15px auto 35px;
    width: 30%;
    background-color: #286782;
    border: none;
    font-size: 20px;
    line-height: 20px;
    padding: 20px 30px;
    border-radius: 6px;
    color: white;

    &:hover {
      background-color: #2f7999;
    }

    &:disabled {
      opacity: .7;
      background-color: #2f7999;
      cursor: no-drop;
    }
  }

  .error {
    display: block;
    padding: 10px 0;
    margin: 0;
    list-style: none;
    background-color: #d89c9c;
    width: 80%;
    margin: auto;
    color: white;
    border-radius: 0 0 6px 6px;
  }

  @media screen and @mobile {
    margin: 40px auto;

    input,
    textarea,
    button,
    .error {
      width: 90%;
    }
  } //@media
} //form
